{% extends 'base.html.twig' %}

{% block title %}Chambre index{% endblock %}
{% block css %}
    <link rel="stylesheet" type="text/css" href="{{ asset('app-assets/vendors/css/vendors.min.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('app-assets/vendors/css/tables/datatable/datatables.min.css') }}">
{% endblock %}
{% block content %}
    <!-- Zero configuration table -->
    <section id="basic-datatable">
        <div class="row">
            <div class="col-12">
                <div class="card">

                    <div class="card-content">
                        <div class="card-body card-dashboard">
                            <div class="table-responsive">
                                <table class="table zero-configuration">
                                    <thead>
                                    <tr>
                                        <th>Nombre</th>
                                        <th>Prix</th>
                                        <th>Nombre de lit</th>
                                        <th>Nombre d'invité</th>
                                        <th>Comfort</th>
                                        <th>Réservation</th>
                                        <th>Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for chambre in chambres %}
                                    <tr>
                                        <td>{{ chambre.number }}</td>
                                        <td>{{ chambre.prix }}</td>
                                        <td>{{ chambre.nbrPers|length }}</td>
                                        <td>{{ chambre.nbrLit|length }}</td>
                                        <td>{{ chambre.comfort }}</td>
                                        <td>{{ chambre.reservations|length }}</td>
                                        <td >
                                            <a  data-toggle="modal" data-target="#border-less{{ chambre.id }}" class="btn btn-group-sm btn-icon btn-info "><i class="bx bxs-search"></i></a>
                                            <a  href="{{ path('chambre_edit', {'id': chambre.id}) }}" class="btn btn-icon btn-group-sm  btn-warning "><i class="bx bx-pen"></i></a>
                                            <a   href="#" onclick="document.getElementById('form1').submit();" class="btn btn-group-sm  btn-icon btn-danger "><i class="bx bx-trash"></i></a>
                                            {{ include('chambre/_delete_form.html.twig') }}
                                        </td>
                                    </tr>
                                        <div class="modal fade text-left modal-borderless" id="border-less{{ chambre.id }}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-scrollable" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h3 class="modal-title"><span class="badge badge-info">{{ chambre.id }}</span></h3>
                                                        <button type="button" class="close rounded-pill" data-dismiss="modal" aria-label="Close">
                                                            <i class="bx bx-x"></i>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="col-xl-12 col-md-6 col-12 whether">
                                                            <div class="card">
                                                                <div class="card-header">
                                                                    <div>
                                                                        <h3 class="font-weight-normal mb-0">Nombre: {{ chambre.number }}</h3>
                                                                        <div class="text-muted">{{ chambre.prix }}<small>TND</small></div>
                                                                    </div>
                                                                    <div class="heading-elements">
                                                                        <i class="bx bx-rotate-right font-medium-4"></i>
                                                                    </div>
                                                                </div>
                                                                <div class="card-content">
                                                                    <div class="card-body">
                                                                        <div class="d-flex align-items-center justify-content-between">
                                                                            <div>
                                                                                <p class="mb-0"><span class="badge badge-{% if chambre.comfort==0 %}danger{% else %}success{% endif %}">{% if chambre.comfort==0 %}<DEL>comfort</DEL>{% else %}comfort{% endif %}</span></p>

                                                                            </div>
                                                                            <i class="bx bx-hotel font-large-2"></i>
                                                                        </div>
                                                                        <hr>
                                                                        <div class="d-flex align-items-center justify-content-around">
                                                                            <div class="d-flex flex-column align-items-center">
                                                                                <small class="text-muted">Lits</small>
                                                                                <i class="bx bx-bed text-bold-700 font-medium-2 my-50"></i>
                                                                                <small class="text-muted">{{ chambre.nbrLit }}</small>
                                                                            </div>
                                                                            <div class="d-flex flex-column align-items-center">
                                                                                <small class="text-muted">Invités</small>
                                                                                <i class="bx bx-user-circle font-medium-2 my-50"></i>
                                                                                <small class="text-muted">{{ chambre.nbrPers }}</small>
                                                                            </div>
                                                                            <div class="d-flex flex-column align-items-center">
                                                                                <small class="text-muted">Reservations</small>
                                                                                <i class="bx bx-bookmark font-medium-2 my-50"></i>
                                                                                <small class="text-muted">{{ chambre.reservations|length }}</small>
                                                                            </div>

                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-light-primary" data-dismiss="modal">
                                                            <i class="bx bx-x d-block d-sm-none"></i>
                                                            <span class="d-none d-sm-block">Close</span>
                                                        </button>
                                                        <button type="button" class="btn btn-primary ml-1" data-dismiss="modal">
                                                            <i class="bx bx-check d-block d-sm-none"></i>
                                                            <span class="d-none d-sm-block">Accept</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    {% endfor %}
                                    </tbody>
                                    <tfoot>
                                    <tr>
                                        <th>Nombre</th>
                                        <th>Prix</th>
                                        <th>Nombre de lit</th>
                                        <th>Nombre d'invité</th>
                                        <th>Comfort</th>
                                        <th>Réservation</th>
                                        <th>Actions</th>
                                    </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--/ Zero configuration table -->
{% endblock %}
{% block js  %}
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/dataTables.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/buttons.print.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/pdfmake.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/vfs_fonts.js') }}"></script>
    <script>
        $('.zero-configuration').DataTable();
    </script>
{% endblock %}